Subject: Re: [PATCH 0/3] git over TLS (gits://) support

From: Michael J Gruber <[email-masked]>
Date: Mon, 03 May 2010 15:26:23 +0200

Tay Ray Chuan venit, vidit, dixit 03.05.2010 14:57:
> Hi,
> 
> On Sun, May 2, 2010 at 1:09 AM, Ilari Liusvaara
> <[email-masked]> wrote:
>> This is newer version of gits:// client side support.
> 
> in case anyone is wondering where the older version is, Ilari posted
> it early this year:
> 
>   http://thread.gmane.org/gmane.comp.version-control.git/136816
> 
> From the discussion, Avery (Cc'ed) had some strong objections; the
> point that I remembered the most clearly was "why not just use SSH".
> There didn't seem to be any headway.
> 
> I hope that we can continue where we left off and resolve the various
> objections without too much duplication of shot-down arguments.
> 

Except for "This is a newer patch" and the split in 3 rather than 2,
there is no information whatsoever on what's different and which
questions have been addressed. Given that, it would be only fair to
raise the same objections again.

Condensing the old thread to a bare minimum, these questions seem to be
open (though answered, one might say):

- What ssh+git: problems does gits: address?
- What tells us these are solved by gits:?
- What tells us there are no gits: problems which ssh+git: would solve?

Frankly, so far I see no tests, no benchmarks, one author convinced by
his own code, and seemingly nobody willing to really look a the patches.

Michael